<template>
  <div>
    <Modal v-model="maintainFreeModal" width="430">
      <p slot="header">
        {{ modalTitle }}
      </p>
      <Row>
        <!--维护实际时间-->
        <Col span="24" />
        <Form
          id="edit-time-free-forms"
          ref="formObj"
          :model="formObj"
          :rules="ruleValidate"
          inline
          onsubmit="return false"
          :label-width="130"
        >
          <Form-item label="维护报废费用" prop="scrapFee">
            <InputNumber
              v-model="formObj.scrapFee"
              :min="1"
              style="width:245px"
              precision="2"
              placeholder="请输入维护报废费用"
            />
          </Form-item>
        </Form>
        </Col>
      </Row>
      <div slot="footer">
        <Button type="ghost" style="margin-left: 8px" @click="_cancel">
          取消
        </Button>
        <Button type="info" @click="_ok">
          确定
        </Button>
      </div>
    </Modal>
  </div>
</template>

<script>
const defVal = {
  scrapFee: ''
}
export default {
  name: 'LmsMaintainStartTimeAct',

  data() {
    return {
      maintainFreeModal: false,
      modalTitle: '',
      types: '',
      selectIds: [],
      maintainerNamesList: [],
      formObj: defVal,
      detailId: '',
      ruleValidate: {
        scrapFee: [
          {
            required: true,
            message: '维护报废费用不能为空',
            trigger: 'blur',
            type: 'number'
          }
        ]
      }
    }
  },
  methods: {
    _open(ids, detailId) {
      this.$refs.formObj.resetFields()
      this.detailId = detailId
      this.modalTitle = '维护报废费用'
      this.maintainFreeModal = true
      this.selectIds = ids
    },
    _cancel() {
      this.maintainFreeModal = false
    },
    _ok() {
      this.$refs.formObj.validate(valid => {
        if (valid) {
          this._resultChange('保存成功!')
        }
      })
    },
    _resultChange(msg) {
      this.maintainFreeModal = false
      this.$Message.success(msg)
      this.$emit('on-result-change', this.formObj.scrapFee, 'scrapFee')
    }
  }
}
</script>

<style scoped>
</style>
